Net::Frame::Layer::SinFP3(3)

NAME
Net::Frame::Layer::SinFP3 - SinFP3 communication protocol

SYNOPSIS
   use Net::Frame::Layer::SinFP3 qw(:consts);

   # Build a layer
   my $layer = Net::Frame::Layer::SinFP3->new(
      version  => NF_SINFP3_VERSION1,
      type     => NF_SINFP3_TYPE_RESPONSEPASSIVE,
      flags    => NF_SINFP3_FLAG_FULL,
      code     => NF_SINFP3_CODE_SUCCESSRESULT,
      tlvCount => 0,
      length   => 0,
      tlvList  => [],
   );
   $layer->pack;

   print 'RAW: '.$layer->dump."\n";

   # Read a raw layer
   my $layer = Net::Frame::Layer::SinFP3->new(raw => $raw);
   $layer->unpack;

   print $layer->print."\n";
   print 'PAYLOAD: '.unpack('H*', $layer->payload)."\n"
      if $layer->payload;

DESCRIPTION
This modules implements the encoding and decoding of the SinFP3 protocol.

See also Net::Frame::Layer for other attributes and methods.

ATTRIBUTES
The following are inherited attributes. See Net::Frame::Layer for more information.

raw
payload
nextLayer

METHODS

new
new (hash)
    Object constructor. You can pass attributes that will overwrite default ones. See SYNOPSIS for default values.

The following are inherited methods. Some of them may be overriden in this layer, and some others may not be meaningful in this layer. See Net::Frame::Layer for more information.

layer
computeLengths
computeChecksums
pack
unpack
encapsulate
getLength
getPayloadLength
print
dump

CONSTANTS
Load them: use Net::Frame::Layer::SinFP3 qw(:consts);

NF_SINFP3_VERSION1
NF_SINFP3_FLAG_FULL
NF_SINFP3_FLAG_TRUSTED
NF_SINFP3_FLAG_IPVERSION
NF_SINFP3_FLAG_SYSTEMCLASS
NF_SINFP3_FLAG_VENDOR
NF_SINFP3_FLAG_OS
NF_SINFP3_FLAG_OSVERSION
NF_SINFP3_FLAG_OSVERSIONFAMILY
NF_SINFP3_FLAG_MATCHTYPE
NF_SINFP3_FLAG_MATCHMASK
NF_SINFP3_FLAG_MATCHSCORE
NF_SINFP3_FLAG_P1SIG
NF_SINFP3_FLAG_P2SIG
NF_SINFP3_FLAG_P3SIG
NF_SINFP3_TYPE_REQUESTACTIVE
NF_SINFP3_TYPE_REQUESTPASSIVE
NF_SINFP3_TYPE_RESPONSEACTIVE
NF_SINFP3_TYPE_RESPONSEPASSIVE
NF_SINFP3_TLV_TYPE_FRAMEPROTOCOL
NF_SINFP3_TLV_TYPE_FRAMEPASSIVE
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP1
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP2
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP3
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP1R
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP2R
NF_SINFP3_TLV_TYPE_FRAMEACTIVEP3R
NF_SINFP3_TLV_TYPE_TRUSTED
NF_SINFP3_TLV_TYPE_IPVERSION
NF_SINFP3_TLV_TYPE_SYSTEMCLASS
NF_SINFP3_TLV_TYPE_VENDOR
NF_SINFP3_TLV_TYPE_OS
NF_SINFP3_TLV_TYPE_OSVERSION
NF_SINFP3_TLV_TYPE_OSVERSIONFAMILY
NF_SINFP3_TLV_TYPE_MATCHTYPE
NF_SINFP3_TLV_TYPE_MATCHMASK
NF_SINFP3_TLV_TYPE_MATCHSCORE
NF_SINFP3_TLV_TYPE_P1SIG
NF_SINFP3_TLV_TYPE_P2SIG
NF_SINFP3_TLV_TYPE_P3SIG
NF_SINFP3_TLV_VALUE_ETH
NF_SINFP3_TLV_VALUE_IPv4
NF_SINFP3_TLV_VALUE_IPv6
NF_SINFP3_TLV_VALUE_TCP
NF_SINFP3_CODE_SUCCESSUNKNOWN
NF_SINFP3_CODE_SUCCESSRESULT
NF_SINFP3_CODE_BADVERSION
NF_SINFP3_CODE_BADTYPE
NF_SINFP3_CODE_BADTLVCOUNT
NF_SINFP3_CODE_BADTLV

SEE ALSO
Net::Frame::Layer

AUTHOR
Patrice <GomoR> Auffret

COPYRIGHT AND LICENSE
Copyright (c) 2012, Patrice <GomoR> Auffret

You may distribute this module under the terms of the Artistic license. See LICENSE.Artistic file in the source distribution archive.